#ifndef __FB_H
#define __FB_H

/*
 *  Framebuffer routines
 */

#define FBADDR 0x20001020

/* convert RGB24 to RGB16 */
#define RGB16(r,g,b) ((((r) & 0x1f) << 11) | \
		      (((g) & 0x3f) <<  5) | \
		      (((b) & 0x1f)))

typedef unsigned short fb_pix_t;

void fb_init(void);

void lcd_off(void);

void clear_fb(fb_pix_t color);

void console_init();

int putchar(int c);

void dump_fb_timing_info(void);

#endif
